# Uses of Interface
org.jmol.jvxl.api.MeshDataServer

Packages that use MeshDataServer
Package
Description
org.jmol.jvxl.readers
org.jmol.shapesurface

## Uses of MeshDataServer in org.jmol.jvxl.readers

Fields in org.jmol.jvxl.readers declared as MeshDataServer
Modifier and Type
Field
Description
`MeshDataServer`
SurfaceGenerator.`meshDataServer`
`protected MeshDataServer`
SurfaceReader.`meshDataServer`
Constructors in org.jmol.jvxl.readers with parameters of type MeshDataServer
Modifier
Constructor
Description
``
`SurfaceGenerator(AtomDataServer atomDataServer, MeshDataServer meshDataServer, MeshData meshData, JvxlData jvxlData)`

## Uses of MeshDataServer in org.jmol.shapesurface

Classes in org.jmol.shapesurface that implement MeshDataServer
Modifier and Type
Class
Description
`class`
`Contact`
`class`
`Isosurface`
`class`
`LcaoCartoon`
`class`
`MolecularOrbital`
`class`
`NBO`
`class`
`Plot3D`
`class`
`Pmesh`